LinearFloatFunction (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.LinearFloatFunction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class LinearFloatFunction

    java.lang.Object
      org.apache.solr.search.function.ValueSource
          org.apache.solr.search.function.LinearFloatFunction

All Implemented Interfaces:
  Serializable

    public class LinearFloatFunction

extends ValueSource

`LinearFloatFunction` implements a linear function over another `ValueSource`.
Normally Used as an argument to a `FunctionQuery`

Version:
  $Id: LinearFloatFunction.java 1065312 2011-01-30 16:08:25Z rmuir $
See Also:
  Serialized Form

Field Summary
`protected float` | `intercept`
`protected float` | `slope`
`protected ValueSource` | `source`

Constructor Summary
`LinearFloatFunction(ValueSource source, float slope, float intercept)`

Method Summary
`void` | `createWeight(Map context, Searcher searcher)` Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context.
`String` | `description()` description of field, used in explain()
`boolean` | `equals(Object o)`
`DocValues` | `getValues(Map context, IndexReader reader)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` | `hashCode()`

Methods inherited from class org.apache.solr.search.function.ValueSource
`getSortField, getValues, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### source

    protected final ValueSource source

### slope

    protected final float slope

### intercept

    protected final float intercept

Constructor Detail

### LinearFloatFunction

    public LinearFloatFunction(ValueSource source,
                               float slope,
                               float intercept)

Method Detail

### description

    public String description()

  Description copied from class: `ValueSource`
  description of field, used in explain()

  Specified by:
    `description` in class `ValueSource`

### getValues

    public DocValues getValues(Map context,
                               IndexReader reader)
                        throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Overrides:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### createWeight

    public void createWeight(Map context,
                             Searcher searcher)
                      throws IOException

  Description copied from class: `ValueSource`
  Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context. The context object will be passed to getValues() where this info can be retrieved.

  Overrides:
    `createWeight` in class `ValueSource`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ValueSource`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `ValueSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD